Yaf_Application::getAppDirectory
Yaf_Application::getDispatcher
Yaf_Application
PHP Manual

# Yaf_Application::getConfig

Retrive the config instance

### Description

public Yaf_Config_Abstract Yaf_Application::getConfig ( void )

### Parameters

This function has no parameters.

### Return Values

A Yaf_Config_Abstract instance

### Examples

Example #1 Yaf_Application::getConfigexample

`<?php
$config = array(
"application" => array(
"directory" => realpath(dirname(__FILE__)) . "/application",
),
);
/** Yaf_Application */
$application = new Yaf_Application($config);
print_r($application->getConfig());
?>`

The above example will output something similar to:

    Yaf_Config_Simple Object
    (
        [_config:protected] => Array
            (
                [application] => Array
                    (
                        [directory] => /home/laruence/local/www/htdocs/application
                    )

            )

        [_readonly:protected] => 1
    )